<template>
  <div id="elec-data">
    <el-row>
      <el-col :span="24" class="main">
        <el-col :span="24" class="one">
          <data-table :fields="fields" :opera="opera" :data="list" :total="total" @view="toView"> </data-table>
        </el-col>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'elec-data',
  props: {},
  components: {},
  data: function () {
    return {
      // 列表
      fields: [
        { label: '电子材料类型', model: 'company_name' },
        { label: '电子材料名称', model: 'industry_type' },
      ],
      opera: [{ label: '详情', method: 'view' }],
      list: [
        {
          id: '1',
          company_name: '2',
        },
      ],
      total: 0,
    };
  },
  created() {},
  methods: {
    toView({ data }) {},
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped></style>
